Subject: protocol: ASN.1 grammar changes for extensibility

From: Hallvard B Furuseth <[email-masked]>
Date: Mon, 06 Dec 2004 23:21:22 +0100

I pointed out recently that With the latest [LDAPIANA], this:
   4. Elements of Protocol 
      ellipses (...) 
      have been supplied in ASN.1 types that are explicitly extensible as 
      discussed in [LDAPIANA].

in protocol-27 was no longer true for Search Scope, Filter Choice and
ModifyRequest Operation Type.  I meant to suggest fixing that text, but
Jim fixed the grammar instead:-)

The grammar now has '...' for SearchRequest.scope (ENUMERATED),
Filter (CHOICE) and ModifyRequest.changes.operation (ENUMERATED).
Are there any ASN.1 encodings where this will be encoded differently
from the original grammar?

-- 
Hallvard